Subject: Re: [bug#78375] daemon: Replace random_shuffle() with shuffle(), [PATCH] Replace random_shuffle with shuffle

From: Ludovic Courtès <[email-masked]>
Date: Mon, 12 May 2025 10:11:42 +0200

Hello,

Congcong Kuo <[email-masked]> writes:

> I am trying to build libstore using the Zig build system. The default
> C++ version of ‘zig c++’ is gnu++17 and random_shuffle() has been
> removed in C++ 14 standard.
>
> Even though guix is built using gnu++11 currently, I think it is not harmful to replace a deprecated function.
>
> Regards,
> Kuo
>
> From fc7ccca0a1a58e16d1c4729b31bc477deddb308b Mon Sep 17 00:00:00 2001
> From: Congcong Kuo <[email-masked]>
> Date: Sun, 11 May 2025 16:31:22 +0800
> Subject: [PATCH] Replace random_shuffle with shuffle
>
> ---
>  nix/libstore/gc.cc | 5 ++++-

I added a commit log following our conventions and applied it, thanks!

Ludo’.